classification
Title: DeprecationWarning missing in default warning filters documentation
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, ezio.melotti, petere, python-dev, sandro.tosi
Priority: normal Keywords: easy, patch

Created on 2012-04-26 16:49 by petere, last changed 2012-04-28 10:24 by sandro.tosi. This issue is now closed.

Files
File name Uploaded Description Edit
py27-default-warning-filters-doc.patch petere, 2012-04-26 16:49 patch review
Messages (3)
msg159398 - (view) Author: Peter Eisentraut (petere) * Date: 2012-04-26 16:49
DeprecationWarning was disabled by default in Python 2.7, but the documentation section "Default Warning Filters" does not list it as ignored.  In the 3.x branches, this was already fixed.  Trivial patch attached.
msg159516 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-04-28 10:23
New changeset 0ad724738f6a by Sandro Tosi in branch '2.7':
Issue #14676: DeprecationWarning is ignored too; patch by Peter Eisentraut
http://hg.python.org/cpython/rev/0ad724738f6a
msg159517 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2012-04-28 10:24
Peter: thanks for the patch!
History
Date User Action Args
2012-04-28 10:24:38sandro.tosisetstatus: open -> closed

nosy: + sandro.tosi
messages: + msg159517

resolution: fixed
stage: patch review -> resolved
2012-04-28 10:23:53python-devsetnosy: + python-dev
messages: + msg159516
2012-04-27 07:03:25ezio.melottisetkeywords: + easy
nosy: + ezio.melotti

type: enhancement
stage: patch review
2012-04-26 16:49:11peterecreate